Held broken pacakages

Hi guys

I’m trying to install xbmc/kodi on a steamos (desktop mode)

here’s the output


desktop@steamos:~$ sudo apt-get install xbmc
[sudo] password for desktop: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 xbmc : Depends: xbmc-bin (>= 4:12.3.1-dmo2) but it is not going to be installed
        Depends: xbmc-data (>= 4:12.3.1-dmo2)
E: Unable to correct problems, you have held broken packages.
desktop@steamos:~$ 

I also get this error message when I update

 GPG error: http://www.deb-multimedia.org wheezy InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 5C808C2B65558117
desktop@steamos:~$ 

I tried apt-get update, apt-get upgrade, apt-get clean, apt-get autoremove, I’ve tried fixing broken packages in synaptic I’ve downloaded 2 .deb packages from the Debian website niether will install, I’ve searched all over the internet for a solution and can’t findonther the things I’ve tried i’m now completely out of ideas

Any help would be much appreciated

Graeme

Try this for the gpg error

sudo apt-get install deb-multimedia-keyring

then

sudo apt-get update

then try xbmc again.

Ok
That sorted the GPG error so there’s now no errors reported with the update but I’m still getting the same problem installing xbmc

Graeme

So what happens if you try

sudo apt-get install xbmc xbmc-bin xbmc-data
So what happens if you try sudo apt-get install xbmc xbmc-bin xbmc-data

I.ve no way of answering that now I got it installed using

sudo aptitude install -f xbmc

the first attempt failed Aptitude offered a solution I accepted it and it appeared to install but it was nowhere to be found so I tried again this time I refused the first solution and accepted the second and it installed and runs fine

Many thanks

Graeme